<h2 mat-dialog-title>{{title}} Product</h2>

<mat-dialog-content [formGroup]="form">
  
    <mat-form-field>
        <input matInput
                placeholder="Product Name" type="text"
               formControlName="name" required>
        <mat-error *ngIf="!form.get('name')!.valid && form.get('name')!.touched">Name is required.</mat-error>
    </mat-form-field>
    <mat-form-field>
        <input matInput
                placeholder="Product Brand Name"
               formControlName="brandName" type="text" required>
        <mat-error *ngIf="!form.get('brandName')!.valid && form.get('brandName')!.touched">Brand Name is required.</mat-error>
    </mat-form-field>

    <mat-form-field>
        <input matInput
                placeholder="Price" type="text"
               formControlName="price" required>
        <mat-error *ngIf="!form.get('price')!.valid && form.get('price')!.touched">Price is required.</mat-error>
    </mat-form-field>
 
    <mat-form-field>
        <input matInput
                placeholder="Description" type="text"
               formControlName="description" required>
        <mat-error *ngIf="!form.get('description')!.valid && form.get('description')!.touched">Description is required.</mat-error>
    </mat-form-field>
</mat-dialog-content>

<mat-dialog-actions>
    <button mat-raised-button color="basic"  (click)="close()">Close</button>
    <button mat-raised-button color="primary" (click)="submit()">Save</button>
</mat-dialog-actions>